Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000321Dwarf FortressDwarf Mode -- Interface, Civilization Listpublic2010-04-03 16:032011-03-13 05:30
Reporteroliver 
Assigned ToToady One 
PrioritylowSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.31.01 
Target VersionFixed in Version0.31.22 
Summary0000321: Unnamed civilizations displayed badly on civ detail screen: , "", <race>
DescriptionAs reported in 0000147, you can see underground civs on the civ list in dwarf mode. For example, I have a "Unnamed Reptile man civilization" listed.

If I hit enter on that entry to see the detail screen, I get:

----
, "", Reptile man

This land has no important leaders
----

That should probably say something like "Unnamed Reptile man civilization" rather than trying to apply the usual <name>, "<translation>", <Race> format to a civ with no name.
Tagstext
Attached Files

- Relationships
has duplicate 0002544resolvedFootkerchief Unnamed civilizations show , "", <race> when viewing important leaders 
child of 0000010resolvedToady One Unrevealed underground civs/items/buildings/events show up in Stocks/Rooms, mess up wealth count, etc 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-04-03 16:03 oliver New Issue
2010-04-03 16:05 oliver Tag Attached: text
2010-04-03 16:35 Footkerchief Relationship added child of 0000147
2010-04-05 10:21 Footkerchief Relationship added child of 0000010
2010-04-06 12:47 Footkerchief Relationship deleted child of 0000147
2010-07-02 14:26 Footkerchief Relationship added has duplicate 0002544
2010-07-02 14:26 Footkerchief Summary Underground civ detail screen titled badly => Unnamed civilizations show , "", <race> on civ detail screen
2010-07-02 14:28 Footkerchief Summary Unnamed civilizations show , "", <race> on civ detail screen => Unnamed civilizations displayed badly on civ detail screen: , "", <race>
2010-07-17 23:32 Calite Note Added: 0010540
2010-07-17 23:33 Calite Note Deleted: 0010540
2011-03-13 05:30 Toady One Status new => resolved
2011-03-13 05:30 Toady One Fixed in Version => 0.31.22
2011-03-13 05:30 Toady One Resolution open => fixed
2011-03-13 05:30 Toady One Assigned To => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker